## Index

### Classes

- default

### Type Aliases

- LidarPoint
- LidarprofileClientConfig
- LidarprofilePoints

## Type Aliases

### LidarPoint

LidarPoint: { altitude?: number; classification?: number; color_packed?: number[]; coords?: number[]; cx?: number; cy?: number; distance?: number; intensity?: number; set?: boolean }

- Defined in src/lidar/Utils.ts:84

Profile point after measure or after parsing of the binary array returned by Pytree

#### Type declaration

- ##### Optional altitude?: number

- ##### Optional classification?: number

- ##### Optional color_packed?: number[]

- ##### Optional coords?: number[]

- ##### Optional cx?: number

- ##### Optional cy?: number

- ##### Optional distance?: number

- ##### Optional intensity?: number

- ##### Optional set?: boolean

### LidarprofileClientConfig

LidarprofileClientConfig: { autoWidth?: boolean; margin?: {}; pointAttributes?: LidarPointAttributeList; pointSum?: number; tolerance?: number }

- Defined in src/lidar/Utils.ts:57

The object containing all points in profile

#### Type declaration

- ##### Optional autoWidth?: boolean

- ##### Optional margin?: {}

  - ##### [x: string]: number

- ##### Optional pointAttributes?: LidarPointAttributeList

- ##### Optional pointSum?: number

- ##### Optional tolerance?: number

### LidarprofilePoints

LidarprofilePoints: { altitude?: number[]; classification?: number[]; color_packed?: number[][]; coords?: number[][]; distance?: number[]; intensity?: number[] }

- Defined in src/lidar/Utils.ts:72

The object containing all points in profile

#### Type declaration

- ##### Optional altitude?: number[]

- ##### Optional classification?: number[]

- ##### Optional color_packed?: number[][]

- ##### Optional coords?: number[][]

- ##### Optional distance?: number[]

- ##### Optional intensity?: number[]

Generated using TypeDoc